Package org.italiangrid.voms.credential

# Interface LoadCredentialsEventListener

All Known Implementing Classes:
  `NullListener`

public interface LoadCredentialsEventListener
A `LoadCredentialsEventListener` is notified of the outcome of load credentials operations.

Author:
  andreaceccanti

## Method Summary

Modifier and Type
Method
Description
`void`
`notifyCredentialLookup(String... locations)`
Informs that credentials are been looked for in the locations passed as argument.
`void`
`notifyLoadCredentialFailure(Throwable error, String... locations)`
Informs that credentials could not be loaded form the locations passed as argument.
`void`
`notifyLoadCredentialSuccess(String... locations)`
Informs that credentials have been succesfully loaded from the credentials passed as argument.

## Method Details

### notifyCredentialLookup

void notifyCredentialLookup(String... locations)
Informs that credentials are been looked for in the locations passed as argument.

Parameters:
  `locations` - the locations (as strings) where the credentials are being searched

### notifyLoadCredentialSuccess

void notifyLoadCredentialSuccess(String... locations)
Informs that credentials have been succesfully loaded from the credentials passed as argument.

Parameters:
  `locations` - the locations (as strings) where the credentials are being searched

### notifyLoadCredentialFailure

void notifyLoadCredentialFailure(Throwable error, String... locations)
Informs that credentials could not be loaded form the locations passed as argument.

Parameters:
  `error` - the `Throwable` that caused the credential load operation to fail
  `locations` - the locations where the credentials where loaded from